DB Manager - Update SQL layer is not available when using column with unique values

2016-10-27 07:04 AM - Jérôme Guélat

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23690

Description

It is impossible to update SQL layers (item doesn't appear in the context menu) when you select an available column with unique values.

Here are the steps to reproduce:

1. Make a SQL query in DB Manager

2. Activate the "Load as new layer checkbox" 

3. Choose an available column with unique values (instead of letting QGIS generate it for you)

4. Load the layer: you can't update it when you right-click on the layer name

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2018-02-27 12:07 PM - Jérôme Guélat

- Status changed from Open to Closed

This is now working in QGIS 3.0. However it doesn't work if you let QGIS generates the ID for you.

#4 - 2018-03-01 11:05 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated
